Bug 1488356 - massive file system corruption with ATS on AMD Stoney GPUs
Summary: massive file system corruption with ATS on AMD Stoney GPUs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-05 08:15 UTC by Samuel Sieb
Modified: 2017-09-06 21:02 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-05 13:49:12 UTC
Type: Bug


Attachments (Terms of Use)

Description Samuel Sieb 2017-09-05 08:15:25 UTC
There's an issue with ATS and the IOMMU on AMD Stoney systems.  It causes massive filesystem corruption.  There's a patch at https://lkml.org/lkml/2017/4/7/285, but it won't be in the kernel until 4.14.  I now have three students with these laptops.  I've been compiling my own kernel package with the patch for them, but I expect that it's only a matter of time before one of them updates and wipes out their OS again.  Would it be possible to get this patch in the Fedora kernel until it gets into upstream?

Comment 1 Justin M. Forbes 2017-09-05 13:49:12 UTC
This patch was included in the 4.12.9 kernel updates for F25 and F26 already.

Comment 2 Samuel Sieb 2017-09-05 18:47:02 UTC
That is very good to hear and will save me a lot of difficulty.  Thank you!


Note You need to log in before you can comment on or make changes to this bug.